# class ActiveSupport::FileWatcher::Backend

### Public Class Methods

new(path, watcher) click to toggle source

    # File lib/active_support/file_watcher.rb, line 4
    def initialize(path, watcher)
      @watcher = watcher
      @path    = path
    end

### Public Instance Methods

trigger(files) click to toggle source

    # File lib/active_support/file_watcher.rb, line 9
    def trigger(files)
      @watcher.trigger(files)
    end